Some tests use assertEqual(observed, expected) , the argument order is wrong

Bug #1259292 reported by Clint Byrum on 2013-12-09
50
This bug affects 7 people
Affects Status Importance Assigned to Milestone
Astara
Undecided
Ji.Wei
Bandit
Undecided
Jeremy Liu
Barbican
Wishlist
Jeremy Liu
Blazar
Wishlist
Ji.Wei
Ceilometer
Undecided
Mark Korondi
Cinder
Wishlist
Nate Potter
Designate
Undecided
sonu
Glance
Undecided
Rajesh Tailor
Glance Client
Undecided
YaoZheng_ZTE
Higgins
New
Undecided
Ji.Wei
Magnum
Undecided
lei zhang
Manila
Low
Yusuke Hayashi
Mistral
Low
Hardik Parekh
Murano
Low
Tetiana Lashchova
OpenStack Backup/Restore and DR (Freezer)
Low
Ji.Wei
OpenStack Compute (nova)
Wishlist
Unassigned
OpenStack Dashboard (Horizon)
Wishlist
Tuan
OpenStack Identity (keystone)
Wishlist
jingtao liang
PBR
Undecided
weiweigu
Python client library for Zaqar
Undecided
Md Nadeem
Rally
Low
sudhir agarwal
SWIFT
Undecided
Nick Miethe
Sahara
Undecided
Jacob Bin Wang
Solum
Undecided
yuyafei
congress
Undecided
Anusha
daisycloud-core
Undecided
Ji.Wei
glance_store
Low
yuyafei
networking-calico
Undecided
Yan Songming
networking-infoblox
Undecided
hongzhezheng
networking-l2gw
Undecided
qinchunhua
networking-sfc
Undecided
Yan Songming
os-brick
Wishlist
yuyafei
pycadf
Low
jingtao liang
python-barbicanclient
Undecided
Jeremy Liu
python-ceilometerclient
Low
Unassigned
python-cinderclient
Undecided
Kiyohiro Adachi
python-designateclient
Undecided
sonu
python-mistralclient
Undecided
Hardik Parekh
python-solumclient
Undecided
Reedip
quark
Undecided
sudhir agarwal
sqlalchemy-migrate
Undecided
Anishka Gupta
tacker
Undecided
JianGang Weng
tempest
Undecided
Unassigned
zaqar
Undecided
Md Nadeem

Bug Description

The test cases will produce a confusing error message if the tests ever fail, so this is worth fixing.

Changed in heat:
assignee: nobody → Pavlo Shchelokovskyy (pshchelo)

Fix proposed to branch: master
Review: https://review.openstack.org/61457

Changed in heat:
status: Triaged → In Progress
Changed in python-heatclient:
assignee: nobody → Pavlo Shchelokovskyy (pshchelo)

Fix proposed to branch: master
Review: https://review.openstack.org/64039

Changed in python-heatclient:
status: New → In Progress
Changed in nova:
assignee: nobody → Jay Lau (jay-lau-513)
importance: Undecided → Low
no longer affects: nova

Reviewed: https://review.openstack.org/64415
Committed: https://git.openstack.org/cgit/openstack/heat/commit/?id=240fec9eef800a53aec890ce9ba14b4d07f136d5
Submitter: Jenkins
Branch: master

commit 240fec9eef800a53aec890ce9ba14b4d07f136d5
Author: Pavlo Shchelokovskyy <email address hidden>
Date: Mon Dec 30 11:15:54 2013 +0200

    Fix order of arguments in assertEqual (patch 2/2)

    Some tests used incorrect order assertEqual(observed, expected).

    The correct order expected by testtools is
    assertEqual(expected, observed).

    This patch includes the other half of the files touched by these changes
    (starting from test_n* plus contrib code) to ease the review.

    Change-Id: I870386871581980abd796304dd91be0c662cb73e
    Partial-Bug: #1259292

Reviewed: https://review.openstack.org/61457
Committed: https://git.openstack.org/cgit/openstack/heat/commit/?id=499b7cccac96e134941dc1e6cd84afe41302fce5
Submitter: Jenkins
Branch: master

commit 499b7cccac96e134941dc1e6cd84afe41302fce5
Author: Pavlo Shchelokovskyy <email address hidden>
Date: Wed Dec 11 17:15:54 2013 +0200

    Fix order of arguments in assertEqual (patch 1/2)

    Some tests used incorrect order assertEqual(observed, expected).

    The correct order expected by testtools is
    assertEqual(expected, observed).

    This patch includes roughly half of the files touched by these changes
    (up to and including test_m* sans contrib code) to ease the review.

    Partial-Bug: #1259292

    Change-Id: I44bff827c7c50726d48aa649b7685712a233ee62

Andrew Lazarev (alazarev) wrote :

Could you point on doc that says that correct order of parameters is "expected, observed"? This is true for java junit. I was trying to find the same doc for testtools, but didn't success. Moreover official doc for python unittest (http://docs.python.org/2/library/unittest.html) says the opposite (yes, it is not testtools, but anyway).

Steve Baker (steve-stevebaker) wrote :

Look at the message that testtools builds for assertEquals fails.

Changed in python-heatclient:
importance: Undecided → Low
milestone: none → v0.2.7
milestone: v0.2.7 → v0.2.8
Kiyohiro Adachi (adachi) wrote :

In 'assertEqual(expected, observed)', the string length of the sum of the results of repr(expected) and repr(observed) is greater than 70, then, MismatchError message is changed. Depending on the length of repr(observed), this condition is satisfied.

https://github.com/testing-cabal/testtools/blob/master/testtools/matchers/_basic.py#L77

Changed in cinder:
assignee: nobody → Kiyohiro Adachi (adachi)
lvdongbing (dbcocle) on 2014-02-21
Changed in ceilometer:
assignee: nobody → lvdongbing (dbcocle)

Fix proposed to branch: master
Review: https://review.openstack.org/75357

Changed in cinder:
status: New → In Progress
Kiyohiro Adachi (adachi) on 2014-02-25
Changed in python-cinderclient:
assignee: nobody → Kiyohiro Adachi (adachi)
Changed in cinder:
importance: Undecided → Low
John Griffith (john-griffith) wrote :

I don't see much value in this and honestly it seems rather silly to go through the effort. It happens that testtools does in fact use the ordering you prefer in their examples, however many other frameworks document using the exact opposite. In reality I don't see what it really matters or what the benefit is.

I don't speak for other projects but from Cinder's perspective this is not something I would want to see proposed for this stage of the release. If you want to go through and change this when Juno opens up and propose for Cinder at that time I suppose that's fine, but right now I'd rather people didn't spend time reviewing changes like this.

Changed in cinder:
importance: Low → Wishlist
importance: Wishlist → Low
lvdongbing (dbcocle) on 2014-02-26
Changed in ceilometer:
assignee: lvdongbing (dbcocle) → nobody

Fix proposed to branch: master
Review: https://review.openstack.org/76453

Changed in python-cinderclient:
status: New → In Progress
Changed in python-heatclient:
milestone: v0.2.8 → v0.2.9

Excerpts from John Griffith's message of 2014-02-25 23:47:08 UTC:
> I don't see much value in this and honestly it seems rather silly to go
> through the effort. It happens that testtools does in fact use the
> ordering you prefer in their examples, however many other frameworks
> document using the exact opposite. In reality I don't see what it
> really matters or what the benefit is.
>
> I don't speak for other projects but from Cinder's perspective this is
> not something I would want to see proposed for this stage of the
> release. If you want to go through and change this when Juno opens up
> and propose for Cinder at that time I suppose that's fine, but right now
> I'd rather people didn't spend time reviewing changes like this.
>

Hi John. The trouble happens when the tests fail, and it tells you the
opposite of reality. This isn't about the examples, it is about the text
of the failure report.

Unit tests are meant to help debug situations where a developer has
misunderstood complex inner workings of things. So if we also tell
them that we observed what they expect in the test, and expect what was
observed and what was also wrong, we are just decreasing the value of
the unit tests.

I agree that early in dev cycles is a better time for low priority issues,
and this is a low priority, but it is not a low value.

ChenZheng (chen-zheng) on 2014-03-03
Changed in horizon:
assignee: nobody → ChenZheng (chen-zheng)

Fix proposed to branch: master
Review: https://review.openstack.org/77562

Changed in horizon:
status: New → In Progress
Akihiro Motoki (amotoki) on 2014-03-03
tags: added: low-hanging-fruit
Mark Korondi (kmarc) on 2014-03-05
Changed in ceilometer:
assignee: nobody → Mark Korondi (oro)

Fix proposed to branch: master
Review: https://review.openstack.org/78762

Changed in ceilometer:
status: New → In Progress
Ildiko Vancsa (ildiko-vancsa) wrote :

Hi,

This bug has a duplication: https://bugs.launchpad.net/ceilometer/+bug/1277104. There are ongoing activities for both bug reports, some of them are overlapping (Ceilometer and Cinder). It would be good to check these activities and synchronize them.

Best Regards,
Ildiko

Ildiko Vancsa (ildiko-vancsa) wrote :

Patch for python-ceilometerclient: https://review.openstack.org/#/c/81154/3

Changed in python-ceilometerclient:
importance: Undecided → Low
status: New → In Progress
assignee: nobody → Jia Dong (jiadong-jia)
Changed in python-heatclient:
milestone: v0.2.9 → none

Reviewed: https://review.openstack.org/82498
Committed: https://git.openstack.org/cgit/openstack/python-heatclient/commit/?id=e07e9d936665d4c7e58edc30e2746544ce4fa784
Submitter: Jenkins
Branch: master

commit e07e9d936665d4c7e58edc30e2746544ce4fa784
Author: Pavlo Shchelokovskyy <email address hidden>
Date: Mon Mar 24 14:58:47 2014 +0200

    Use correct order of arguments to assertEqual

    The correct order of arguments to assertEqual that is expected by
    testtools is (expected, observed).

    This patch fixes the inverted usage of arguments in some places
    that have cropped up since the last fix of this bug.

    Change-Id: Ifbc5da5cba0c8dcdf5b9c9eb6e6bfb1b1c2b49b0
    Closes-Bug: #1259292

Changed in python-heatclient:
status: In Progress → Fix Committed
Sandeep Kedari (sandy86299) wrote :

Working on the following bug

Changed in cinder:
assignee: Kiyohiro Adachi (adachi) → Sandeep Kedari (sandy86299)
Changed in cinder:
importance: Low → Wishlist
gordon chung (chungg) wrote :

marking invalid for ceilometer, will track via https://bugs.launchpad.net/ceilometer/+bug/1277104

Changed in ceilometer:
status: In Progress → Invalid
David Lyle (david-lyle) on 2014-06-24
Changed in horizon:
importance: Undecided → Wishlist
Changed in python-heatclient:
milestone: none → v0.2.10

Change abandoned by Duncan Thomas (<email address hidden>) on branch: master
Review: https://review.openstack.org/75357
Reason: Abandoning change: No update for more than 14 days

Reviewed: https://review.openstack.org/76453
Committed: https://git.openstack.org/cgit/openstack/python-cinderclient/commit/?id=f3ec0814971112068e933e343ef7ab8986f438c3
Submitter: Jenkins
Branch: master

commit f3ec0814971112068e933e343ef7ab8986f438c3
Author: KIYOHIRO ADACHI <email address hidden>
Date: Wed Feb 26 15:59:14 2014 +0900

    Fix order of arguments in assertEqual

    Some tests used incorrect order assertEqual(observed, expected).

    The correct order expected by testtools is...

        def assertEqual(self, expected, observed, message=''):
            """Assert that 'expected' is equal to 'observed'.

            :param expected: The expected value.
            :param observed: The observed value.
            :param message: An optional message to include in the error.
            """

    The string length of the sum of the results of repr(expected) and
    repr(observed) is greater than 70, then, MismatchError message is
    changed, as below.

      Ex.:
            raise mismatch_error
        MismatchError: !=:
        reference = '_123456789_123456789_bar'
        actual = '_123456789_123456789_123456789_123456789_123456789'

    Change-Id: Id02ddfb2ca03df7f432cff67a7bed182cccc4924
    Closes-Bug: #1259292

Changed in python-cinderclient:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/77562
Committed: https://git.openstack.org/cgit/openstack/horizon/commit/?id=c7d5371b47079a07f32137e82422ded41d501a9f
Submitter: Jenkins
Branch: master

commit c7d5371b47079a07f32137e82422ded41d501a9f
Author: ChenZheng <email address hidden>
Date: Mon Mar 3 18:48:46 2014 +0800

    Fix order of arguments in assertEqual

    Some tests used incorrect order assertEqual(observed, expected).

    The correct order expected by testtools is
    assertEqual(expected, observed).

    Change-Id: Iabf6e55146412b57b6a6544f312f9510f762566a
    Partial-Bug: #1259292

no longer affects: python-heatclient
Qiming Teng (tengqim) wrote :

Qiming is screening the heat code base to make sure Heat is not affected by this.

Fix proposed to branch: master
Review: https://review.openstack.org/138369

Changed in heat:
assignee: Pavlo Shchelokovskyy (pshchelo) → Qiming Teng (tengqim)

Reviewed: https://review.openstack.org/138369
Committed: https://git.openstack.org/cgit/openstack/heat/commit/?id=3d2b7facdab23181b876b2272f587a2400caadc1
Submitter: Jenkins
Branch: master

commit 3d2b7facdab23181b876b2272f587a2400caadc1
Author: tengqm <email address hidden>
Date: Tue Dec 2 21:44:12 2014 +0800

    Make all assertEqual() calls conform to convention

    It is a convention to have assertEqual() assertions invoked with
    'expected value' before 'actual value', or else the debug output may
    become very confusing. This patch fixes about 100 violations in current
    test cases where about 3580 assertEqual calls are made.

    Closes-Bug: 1259292
    Change-Id: I2e0474d9821716baf35a3bbb2952c63a84749dd3

Changed in heat:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2014-12-18
Changed in heat:
milestone: none → kilo-1
status: Fix Committed → Fix Released

Fix proposed to branch: master
Review: https://review.openstack.org/145118

Changed in cinder:
assignee: Sandeep Kedari (sandy86299) → Accela Zhao (accelazh)

Fix proposed to branch: master
Review: https://review.openstack.org/145133

Fix proposed to branch: master
Review: https://review.openstack.org/145162

Fix proposed to branch: master
Review: https://review.openstack.org/145166

Fix proposed to branch: master
Review: https://review.openstack.org/145173

Reviewed: https://review.openstack.org/145133
Committed: https://git.openstack.org/cgit/openstack/cinder/commit/?id=f743605fa3dae8f57003e50fa50c864a89e8c3b2
Submitter: Jenkins
Branch: master

commit f743605fa3dae8f57003e50fa50c864a89e8c3b2
Author: Bharat Kumar Kobagana <email address hidden>
Date: Tue Jan 6 11:14:18 2015 +0530

    Fix argument order in assertEqual: tests/test_glusterfs.py

    The assertEqual in cinder/tests/test_glusterfs.py is using
    incorrect argument order (observed, expected), which causes the
    error message about mismatch to be reversed if the test case fails.
    Change it to (expected, observed).

    Change-Id: Idcd88de9c5e8a096f0ef473e92bff17e6be16814
    Partial-Bug: #1259292

Change abandoned by Mike Perez (<email address hidden>) on branch: master
Review: https://review.openstack.org/145162
Reason: inactive for a month

Reviewed: https://review.openstack.org/145166
Committed: https://git.openstack.org/cgit/openstack/cinder/commit/?id=d813f3f005be6043e615c57f3f7b0a3e0b4d30b3
Submitter: Jenkins
Branch: master

commit d813f3f005be6043e615c57f3f7b0a3e0b4d30b3
Author: Bharat Kumar Kobagana <email address hidden>
Date: Tue Jan 6 14:08:05 2015 +0530

    Fix argument order in assertEqual: tests/test_nfs.py

    The assertEqual in cinder/tests/test_nfs.py is using
    incorrect argument order (observed, expected), which causes the
    error message about mismatch to be reversed if the test case fails.
    Change it to (expected, observed).

    Change-Id: I7fec2e5df91369c3cae2adef3189e8bd86fe4480
    Partial-Bug: #1259292

Change abandoned by Bharat Kumar Kobagana (<email address hidden>) on branch: master
Review: https://review.openstack.org/145173
Reason: As this patch is not necessary as a separate patch.

Fix proposed to branch: master
Review: https://review.openstack.org/157474

Changed in cinder:
assignee: Accela Zhao (accelazh) → Sai Kiran (saikiran)
Changed in sahara:
status: New → Confirmed
Changed in sahara:
assignee: nobody → Jacob Bin Wang (dongliang0531)
Changed in sahara:
status: Confirmed → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/165347

Fix proposed to branch: master
Review: https://review.openstack.org/165350

Reviewed: https://review.openstack.org/165271
Committed: https://git.openstack.org/cgit/openstack/sahara/commit/?id=cb480679a1f75f558be414f85143c11b2406a31b
Submitter: Jenkins
Branch: master

commit cb480679a1f75f558be414f85143c11b2406a31b
Author: Jacob Bin Wang <email address hidden>
Date: Wed Mar 18 09:29:40 2015 +0800

    Fix order of arguments in assertEqual - Part1

    Some tests used incorrect order assertEqual(observed, expected).
    The correct order expected by testtools is:
        def assertEqual(self, expected, observed, message='')
    Changed to use the right order. Also if the order is wrong and
    expected value is None, change it to assertIsNone instead.

    It requires big changes and some tests change frequently.
    So I would do it in series of small CR.
    This part contains all changes except tests of plugins and service.

    Partial-Bug: #1259292

    Change-Id: Iefbb5f4b9efca35f7a2298f9f7f5b9de73fc260f

Changed in sahara:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2015-04-09
Changed in sahara:
milestone: none → kilo-rc1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2015-04-30
Changed in sahara:
milestone: kilo-rc1 → 2015.1.0
Thierry Carrez (ttx) on 2015-04-30
Changed in heat:
milestone: kilo-1 → 2015.1.0
Changed in python-cinderclient:
milestone: none → 1.3.1
status: Fix Committed → Fix Released
Changed in cinder:
assignee: Sai Kiran (saikiran) → Apoorva Deshpande (apoorvad)
Changed in manila:
assignee: nobody → Yusuke Hayashi (hayashi-yusuke)
Changed in cinder:
assignee: Apoorva Deshpande (apoorvad) → Skyler Berg (sberg-l)
Changed in cinder:
status: In Progress → Fix Committed
Changed in manila:
status: New → In Progress
chenying (ying-chen) on 2015-08-20
Changed in cinder:
status: Fix Committed → Confirmed
chenying (ying-chen) on 2015-08-20
Changed in cinder:
status: Confirmed → Fix Committed
Changed in nova:
assignee: nobody → Pranali Deore (pranali-deore)
Changed in nova:
status: New → In Progress
Changed in manila:
importance: Undecided → Low
Changed in nova:
importance: Undecided → Wishlist
Changed in nova:
assignee: Pranali Deore (pranali-deore) → Rajesh Tailor (rajesh-tailor)
assignee: Rajesh Tailor (rajesh-tailor) → Pranali Deore (pranali-deore)
Changed in nova:
assignee: Pranali Deore (pranali-deore) → Rajesh Tailor (rajesh-tailor)
Thierry Carrez (ttx) on 2015-09-03
Changed in cinder:
milestone: none → liberty-3
status: Fix Committed → Fix Released
Changed in nova:
assignee: Rajesh Tailor (rajesh-tailor) → Pranali Deore (pranali-deore)
Changed in nova:
assignee: Pranali Deore (pranali-deore) → Rajesh Tailor (rajesh-tailor)
Changed in glance:
assignee: nobody → Rajesh Tailor (rajesh-tailor)
Changed in keystone:
assignee: nobody → Rajesh Tailor (rajesh-tailor)
Changed in neutron:
assignee: nobody → Rajesh Tailor (rajesh-tailor)
Dolph Mathews (dolph) on 2015-09-10
Changed in keystone:
importance: Undecided → Low
status: New → Triaged
gordon chung (chungg) on 2015-09-11
Changed in python-ceilometerclient:
assignee: Jia Dong (jiadong-jia) → nobody
status: In Progress → Invalid
Changed in glance:
status: New → In Progress
Assaf Muller (amuller) on 2015-09-22
no longer affects: neutron
Changed in keystone:
status: Triaged → In Progress
Changed in murano:
assignee: nobody → Tetiana Lashchova (tlashchova)
importance: Undecided → Medium
milestone: none → liberty-rc1
status: New → Confirmed
Changed in murano:
milestone: liberty-rc1 → liberty-rc2
Changed in murano:
milestone: liberty-rc2 → mitaka-1
Changed in zaqar:
assignee: nobody → MD NADEEM (mail2nadeem92)
Changed in python-zaqarclient:
assignee: nobody → MD NADEEM (mail2nadeem92)
Changed in mistral:
assignee: nobody → hardik (hardik-parekh047)
Changed in mistral:
status: New → In Progress
Changed in zaqar:
status: New → In Progress
Changed in glance:
status: In Progress → Fix Committed
Changed in python-zaqarclient:
status: New → In Progress
Changed in mistral:
importance: Undecided → Medium
milestone: none → liberty-rc2
importance: Medium → Low
Changed in python-mistralclient:
assignee: nobody → hardik (hardik-parekh047)
sonu (sonu-bhumca11) on 2015-09-29
Changed in designate:
status: New → Confirmed
assignee: nobody → sonu (sonu-bhumca11)
status: Confirmed → New
status: New → Confirmed
status: Confirmed → New
Anusha (anusha-iiitm) on 2015-09-29
Changed in congress:
assignee: nobody → Anusha (anusha-iiitm)
sonu (sonu-bhumca11) on 2015-09-29
Changed in python-designateclient:
assignee: nobody → sonu (sonu-bhumca11)
Changed in congress:
status: New → In Progress
Changed in designate:
status: New → In Progress
Changed in barbican:
assignee: nobody → Pradeep Kumar Singh (pradeep-singh-u)
status: New → In Progress
Changed in python-designateclient:
status: New → In Progress
Changed in murano:
status: Confirmed → In Progress
Changed in murano:
importance: Medium → Low
Changed in murano:
status: In Progress → Fix Committed
David Stanek (dstanek) on 2015-09-30
Changed in keystone:
assignee: Rajesh Tailor (rajesh-tailor) → nobody
status: In Progress → Fix Committed
Changed in python-mistralclient:
status: New → In Progress
Changed in nova:
assignee: Rajesh Tailor (rajesh-tailor) → nobody
status: In Progress → Won't Fix
lei zhang (zhang-lei) on 2015-10-09
Changed in magnum:
assignee: nobody → lei zhang (zhang-lei)
Changed in manila:
status: In Progress → Fix Committed
Changed in zaqar:
status: In Progress → Fix Committed
Changed in magnum:
status: New → In Progress
Changed in python-zaqarclient:
status: In Progress → Fix Committed
lei zhang (zhang-lei) on 2015-10-13
Changed in magnum:
status: In Progress → Fix Committed
tags: added: in-stable-liberty
Changed in mistral:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2015-10-15
Changed in cinder:
milestone: liberty-3 → 7.0.0
Changed in mistral:
status: Fix Committed → Fix Released
Changed in mistral:
milestone: liberty-rc2 → liberty
Changed in python-mistralclient:
status: In Progress → Fix Released
Changed in cinder:
assignee: Skyler Berg (sberg-l) → nobody
milestone: 7.0.0 → none
status: Fix Released → Confirmed
Nate Potter (ntpttr) on 2015-10-22
Changed in cinder:
assignee: nobody → Nate Potter (ntpttr)
status: Confirmed → In Progress
Changed in cinder:
status: In Progress → Fix Committed
Changed in python-zaqarclient:
milestone: none → 0.3.0
status: Fix Committed → Fix Released
Adrian Otto (aotto) on 2015-11-24
Changed in magnum:
milestone: none → mitaka-1
status: Fix Committed → Fix Released
Changed in keystone:
milestone: none → mitaka-1
Changed in glance:
status: Fix Committed → Fix Released
sonu (sonu-bhumca11) on 2015-12-03
Changed in designate:
status: In Progress → Fix Committed
Changed in python-designateclient:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2015-12-03
Changed in cinder:
status: Fix Committed → Fix Released
Changed in manila:
status: Fix Committed → Fix Released
Changed in designate:
status: Fix Committed → Fix Released
Changed in keystone:
status: Fix Committed → Fix Released
Changed in murano:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2015-12-04
Changed in zaqar:
status: Fix Committed → Fix Released
Reedip (reedip-banerjee) on 2016-01-12
Changed in python-solumclient:
assignee: nobody → Reedip (reedip-banerjee)
Changed in python-solumclient:
status: New → In Progress
Changed in python-solumclient:
status: In Progress → Fix Released
Anusha (anusha-iiitm) on 2016-03-10
Changed in congress:
status: In Progress → Fix Committed
Tim Hinrichs (thinrichs) on 2016-04-13
Changed in congress:
milestone: none → mitaka
status: Fix Committed → Fix Released
Fernando Diaz (diazjf) on 2016-05-10
Changed in barbican:
importance: Undecided → Wishlist
yuyafei (yu-yafei) on 2016-06-15
Changed in os-brick:
assignee: nobody → yuyafei (yu-yafei)
Changed in python-glanceclient:
assignee: nobody → YaoZheng_ZTE (zheng-yao1)
Changed in os-brick:
status: New → In Progress
yuyafei (yu-yafei) on 2016-06-15
Changed in glance-store:
assignee: nobody → yuyafei (yu-yafei)
Changed in glance-store:
status: New → In Progress
Changed in python-glanceclient:
status: New → In Progress
Changed in glance-store:
importance: Undecided → Low
Eric Harney (eharney) on 2016-06-15
Changed in os-brick:
importance: Undecided → Wishlist
Changed in nova:
assignee: nobody → jingtao liang (liang-jingtao)
assignee: jingtao liang (liang-jingtao) → nobody
Changed in keystone:
assignee: nobody → jingtao liang (liang-jingtao)
Changed in glance-store:
status: In Progress → Fix Released
Thomas Herve (therve) on 2016-06-22
no longer affects: heat
Ji.Wei (jiwei) on 2016-06-22
Changed in tempest:
assignee: nobody → Ji.Wei (jiwei)
Ji.Wei (jiwei) on 2016-06-22
Changed in sqlalchemy-migrate:
assignee: nobody → Ji.Wei (jiwei)
Ji.Wei (jiwei) on 2016-06-22
Changed in freezer:
assignee: nobody → Ji.Wei (jiwei)
Changed in keystone:
importance: Low → Wishlist
Ji.Wei (jiwei) on 2016-06-23
Changed in blazar:
assignee: nobody → Ji.Wei (jiwei)
Ji.Wei (jiwei) on 2016-06-23
Changed in astara:
assignee: nobody → Ji.Wei (jiwei)
Changed in tacker:
assignee: nobody → Ji.Wei (jiwei)
Changed in astara:
status: New → In Progress
Changed in freezer:
status: New → In Progress
Changed in swift-swf:
assignee: nobody → jingtao liang (liang-jingtao)
Ji.Wei (jiwei) on 2016-06-24
Changed in higgins:
assignee: nobody → Ji.Wei (jiwei)
Ji.Wei (jiwei) on 2016-06-29
Changed in daisycloud-core:
assignee: nobody → Ji.Wei (jiwei)
Changed in python-glanceclient:
status: In Progress → Fix Released
Changed in neutron:
assignee: nobody → Yan Songming (songmingyan)
Changed in python-neutronclient:
assignee: nobody → Yan Songming (songmingyan)
no longer affects: neutron
Changed in networking-sfc:
assignee: nobody → Yan Songming (songmingyan)
no longer affects: python-neutronclient
Changed in networking-sfc:
status: New → In Progress
qinchunhua (qin-chunhua) on 2016-07-05
Changed in tacker:
assignee: Ji.Wei (jiwei) → qinchunhua (qin-chunhua)
status: New → In Progress
Ji.Wei (jiwei) on 2016-07-05
Changed in astara:
status: In Progress → Fix Released
Changed in networking-infoblox:
assignee: nobody → hongzhezheng (zheng-hongzhe32)
Changed in python-barbicanclient:
assignee: nobody → hongzhezheng (zheng-hongzhe32)
yuyafei (yu-yafei) on 2016-07-06
Changed in solum:
assignee: nobody → yuyafei (yu-yafei)
Changed in solum:
status: New → In Progress
Changed in rally:
assignee: nobody → hongzhezheng (zheng-hongzhe32)
Changed in freezer:
importance: Undecided → Low
Changed in networking-infoblox:
status: New → In Progress
qinchunhua (qin-chunhua) on 2016-07-07
Changed in networking-l2gw:
assignee: nobody → qinchunhua (qin-chunhua)
Changed in networking-l2gw:
status: New → In Progress
Changed in networking-calico:
assignee: nobody → Yan Songming (songmingyan)
Changed in python-barbicanclient:
status: New → In Progress
weiweigu (gu-weiwei) on 2016-07-07
Changed in pbr:
assignee: nobody → weiweigu (gu-weiwei)
Changed in pycadf:
assignee: nobody → jingtao liang (liang-jingtao)
Changed in tempest:
assignee: Ji.Wei (jiwei) → Anthony Washington (anthony-washington)
status: New → In Progress
Changed in tacker:
assignee: qinchunhua (qin-chunhua) → Kanagaraj Manickam (kanagaraj-manickam)
Changed in networking-sfc:
status: In Progress → Fix Released
Changed in tempest:
status: In Progress → Invalid
Changed in solum:
status: In Progress → Fix Released
Changed in tacker:
assignee: Kanagaraj Manickam (kanagaraj-manickam) → JianGang Weng (weng-jiangang)
Changed in tacker:
assignee: JianGang Weng (weng-jiangang) → qinchunhua (qin-chunhua)
Changed in tacker:
assignee: qinchunhua (qin-chunhua) → JianGang Weng (weng-jiangang)
Changed in pbr:
status: New → In Progress
Changed in tacker:
assignee: JianGang Weng (weng-jiangang) → qinchunhua (qin-chunhua)
Changed in os-brick:
status: In Progress → Fix Released
Changed in pbr:
status: In Progress → Fix Released
Changed in tacker:
assignee: qinchunhua (qin-chunhua) → JianGang Weng (weng-jiangang)
Changed in rally:
importance: Undecided → Low
Changed in tempest:
assignee: Anthony Washington (anthony-washington) → nobody
Changed in horizon:
assignee: ChenZheng (chen-zheng) → Tuan (tuanla)
Changed in rally:
assignee: hongzhezheng (zheng-hongzhe32) → Sharat Sharma (sharat-sharma)
status: New → In Progress
Jeremy Liu (liujiong) on 2016-08-18
Changed in bandit:
assignee: nobody → Jiong Liu (liujiong)
Changed in bandit:
status: New → In Progress
214 comments hidden view all 294 comments
Download full text (9.0 KiB)

Reviewed: https://review.openstack.org/357664
Committed: https://git.openstack.org/cgit/openstack/sahara-tests/commit/?id=e163f7925974ce7a74e29cbf83db7fb00103e470
Submitter: Jenkins
Branch: master

commit 87bae8585033bf371a936d2de330a89d791244ad
Author: Matthew Treinish <email address hidden>
Date: Tue Jun 28 11:53:22 2016 -0400

    Remove unecessary decorators from private interface

    This commit removes the usage of the services decorators from the
    tempest plugin tests. That decorator is an internal interface and
    not meant for external consumption, and is now causing failures
    because of recent tempest changes. Plugins should only use documented
    stable interfaces. [1]

    Also the use of the decorator here actually adds nothing to the tests.
    They do 2 things, add a test attr to filter by service and add a skip
    check on the service availability. However both of these are already
    done, data_processing is already part of the test_id so filtering
    will just work and the skip check for sahara is baked into the base
    test class. So using this decorator does nothing except break the
    plugin.

    [1] http://docs.openstack.org/developer/tempest/plugin.html#stable-tempest-apis-plugins-may-use

    Change-Id: I45587d065c1b7b7f28feb29e8845f8f0f8405b8c

commit f4db8224967267e91abb05dd9c526318589f383b
Author: ZhiQiang Fan <email address hidden>
Date: Mon Apr 18 22:00:47 2016 +0800

    update options mentioned in tempest readme

    Some options have already been deprecated but still used in tempest
    README.rst, let's use the new one.

    Change-Id: Ic3bfb66b0898869149126c21aef0b2fd673385e2

commit f82c7db143bb7bf3c358e735f9646a17684ba5b6
Author: Luigi Toscano <email address hidden>
Date: Fri Feb 26 11:24:32 2016 +0100

    Use the integrated tempest.lib module

    Tempest-lib has been reintegrated into tempest (as code, but it still provides
    a stable API). The old library is still available, but tempest tests are
    failing because when sahara is installed and exports the scenario tests
    for python clients, python-lib is not installed (it's correcly in
    test-requirements.txt, not requirements.txt), and tempest does not
    install tempest-lib anymore. Hence, fix the tests to use the new
    official location.

    Change-Id: Iaded03ee387b4a0bbabb7bfe9e54d38e010d9c4f

commit 85ce728189d8f8a63843ebde5950a0c56233fa3a
Author: luhuichun <email address hidden>
Date: Tue Dec 1 14:09:22 2015 +0800

    Replacing all hard coded cluster status using cluster_utils

    Change-Id: I9550e98553da9f7bfc57923e44a789e07a912ff4
    Closes-bug: 1517061

commit 0abdc18a94089bf698582daa051a96fd645935f3
Author: Evgeny Sikachev <email address hidden>
Date: Thu Nov 26 13:40:51 2015 +0300

    Add missed checks for testing update method

    In tempest tests for saharaclient we have missed methods
    for checking update of templates.
    Closes-bug: #1520140

    Change-Id: I8191e3344ecffd7a2ed442ba3d561741701c45e2

commit 80bfb9a469d2a289e903b19488214855b8a7fa94
Author: Evgeny Sikachev <email address hidden>
Date: Tue Nov 17 16:05:04 2015 +0300

    Adding t...

Read more...

Changed in networking-calico:
status: New → In Progress

Reviewed: https://review.openstack.org/333144
Committed: https://git.openstack.org/cgit/openstack/freezer/commit/?id=80c631fc011924112a566ae5ca6648ce2532f1ae
Submitter: Jenkins
Branch: master

commit 80c631fc011924112a566ae5ca6648ce2532f1ae
Author: Ji-Wei <email address hidden>
Date: Thu Jun 23 16:42:45 2016 +0800

    Fix order of arguments in assertEqual

    Some tests used incorrect order assertEqual(observed, expected).
    The correct order expected by testtools is
    assertEqual(expected, observed).
    This patch fix the issue.

    Change-Id: I02ab9095188258d7b14ccd644422b55c162c92f0
    Partial-Bug: #1259292

This issue was fixed in the openstack/python-barbicanclient 4.1.0 release.

This issue was fixed in the openstack/solum 5.0.0 release.

This issue was fixed in the openstack/python-cinderclient 1.9.0 release.

This issue was fixed in the openstack/networking-sfc 2.0.0 release.

1 comments hidden view all 294 comments

This issue was fixed in the openstack/networking-sfc 2.0.0 release.

1 comments hidden view all 294 comments

Reviewed: https://review.openstack.org/361025
Committed: https://git.openstack.org/cgit/openstack/networking-sfc/commit/?id=f7d95a4045c3407063f7906eeb3dda3f4ac1b58c
Submitter: Jenkins
Branch: master

commit f7d95a4045c3407063f7906eeb3dda3f4ac1b58c
Author: SongmingYan <email address hidden>
Date: Fri Aug 26 04:42:38 2016 -0400

    Fix order of arguments in assertEqual

    Some tests used incorrect order assertEqual(observed, expected).
    The correct order expected by testtools
    is assertEqual(expected, observed).

    Closes bug: #1259292

    Change-Id: If670c54ee7f6dae2911c1165619dcad4dca6c06d

Change abandoned by Tuan Luong-Anh (<email address hidden>) on branch: master
Review: https://review.openstack.org/356283

Reviewed: https://review.openstack.org/338179
Committed: https://git.openstack.org/cgit/openstack/networking-calico/commit/?id=8599fe0af907bc5aeff29c994bafdf87ef558b71
Submitter: Jenkins
Branch: master

commit 8599fe0af907bc5aeff29c994bafdf87ef558b71
Author: SongmingYan <email address hidden>
Date: Wed Jul 6 06:48:10 2016 -0400

    Fix order of arguments in assertEqual

    Some tests used incorrect order assertEqual(observed, expected).
    The correct order expected by testtools is
    assertEqual(expected, observed).

    Closes bug: #1259292

    Change-Id: I39aa28bea07a3cc6dcab472d526b7d3436d5270d

Changed in networking-calico:
status: In Progress → Fix Released

This issue was fixed in the openstack/networking-ovn 1.0.0.0rc1 release candidate.

This issue was fixed in the openstack/python-cinderclient 1.9.0 release.

Jeremy Liu (liujiong) on 2016-09-29
Changed in barbican:
assignee: Pradeep Kumar Singh (pradeep-singh-u) → Jeremy Liu (liujiong)
Changed in python-barbicanclient:
assignee: hongzhezheng (zheng-hongzhe32) → Jeremy Liu (liujiong)

Reviewed: https://review.openstack.org/378699
Committed: https://git.openstack.org/cgit/openstack/barbican/commit/?id=403e440f8504d2716b154043565032e3d145b63e
Submitter: Jenkins
Branch: master

commit 403e440f8504d2716b154043565032e3d145b63e
Author: Jiong Liu <email address hidden>
Date: Wed Sep 28 23:19:16 2016 +0800

    Fix order of arguments in assertEqual

    The correct order expected by testtools is assertEqual(expected, observed).

    Change-Id: I93eaab96f170e72cfcbc763f384fd9358842ef69
    Partial-Bug: #1259292

Steve Martinelli (stevemar) wrote :
Changed in pycadf:
importance: Undecided → Low
status: New → Fix Released

Reviewed: https://review.openstack.org/338717
Committed: https://git.openstack.org/cgit/openstack/python-barbicanclient/commit/?id=86d91e4e4e39ed0b4b65e393ca49172fd555ddd0
Submitter: Jenkins
Branch: master

commit 86d91e4e4e39ed0b4b65e393ca49172fd555ddd0
Author: hongzhezheng <email address hidden>
Date: Thu Jul 7 16:23:31 2016 +0800

    Fix argument order for assertEqual to (expected, observed)

    assertEqual expects that the arguments provided to it should be
    (expected, observed). If a particluar order is kept as a convention,
    then it helps to provide a cleaner message to the developer if Unit
    Tests fail. The following patch fixes this issue.

    Change-Id: I5209e5889cfe62c66dc675c00e3ccaf22410f637
    Partial-Bug: #1259292

Reviewed: https://review.openstack.org/378684
Committed: https://git.openstack.org/cgit/openstack/python-barbicanclient/commit/?id=bd97bedb3f9b0bddcf3556acc4cd01ab35c7e960
Submitter: Jenkins
Branch: master

commit bd97bedb3f9b0bddcf3556acc4cd01ab35c7e960
Author: Jiong Liu <email address hidden>
Date: Wed Sep 28 22:59:54 2016 +0800

    Fix order of arguments in assertEqual

    The correct order expected by testtools is assertEqual(expected, observed).

    Change-Id: I8457af6e15a9000dd6c54ad8199331e75bd3c7fd
    Partial-Bug: #1259292

This issue was fixed in the openstack/networking-ovn 1.0.0.0rc1 release candidate.

This issue was fixed in the openstack/python-cinderclient 1.9.0 release.

Reviewed: https://review.openstack.org/344085
Committed: https://git.openstack.org/cgit/openstack/networking-l2gw/commit/?id=0ded69ae72c8395a1324505e516288801ba369ab
Submitter: Jenkins
Branch: master

commit 0ded69ae72c8395a1324505e516288801ba369ab
Author: LiuYong <email address hidden>
Date: Wed Jul 20 00:05:29 2016 +0800

    Remove execute permission which is added by mistake in l2gw

    Some files in networking-l2gw/tests/unit
    were given execute permission by mistake
    in Change-Id: I29020058671348e0734906a71ac3ae0798172a23.
    This proposal want to remove the error permission.

    Change-Id: I7e6466f8e9a0886e293df3f229d03a49b6fc92cc
    Related-Id: I29020058671348e0734906a71ac3ae0798172a23
    Partial-Bug: #1259292

This issue was fixed in the openstack/python-cloudkittyclient 0.5.0 release.

This issue was fixed in the openstack/python-barbicanclient 4.1.0 release.

This issue was fixed in the openstack/python-cinderclient 1.9.0 release.

This issue was fixed in the openstack/networking-sfc 3.0.0 release.

1 comments hidden view all 294 comments

This issue was fixed in the openstack/python-barbicanclient 4.1.0 release.

This issue was fixed in the openstack/python-cinderclient 1.9.0 release.

Changed in rally:
status: In Progress → New
assignee: Sharat Sharma (sharat-sharma) → nobody

Change abandoned by Sharat Sharma (<email address hidden>) on branch: master
Review: https://review.openstack.org/356483

Jeremy Liu (liujiong) on 2017-01-26
Changed in bandit:
status: In Progress → Fix Committed
Changed in barbican:
status: In Progress → Fix Committed
Changed in python-barbicanclient:
status: In Progress → Fix Committed
Nick Miethe (miethe) on 2017-02-16
Changed in swift-swf:
assignee: jingtao liang (liang-jingtao) → Nick Miethe (miethe)
status: New → In Progress
Jeremy Liu (liujiong) on 2017-02-26
Changed in python-barbicanclient:
status: Fix Committed → Fix Released
Changed in bandit:
status: Fix Committed → Fix Released
Changed in barbican:
status: Fix Committed → Fix Released

This issue was fixed in the openstack-dev/pbr 2.0.0 release.

Changed in rally:
assignee: nobody → sudhir agarwal (sudhir.agarwal)
Changed in rally:
status: New → In Progress

Change abandoned by sudhir agarwal (<email address hidden>) on branch: master
Review: https://review.openstack.org/443698

Changed in sqlalchemy-migrate:
assignee: Ji.Wei (jiwei) → Anishka Gupta (anishka0107)

Fix proposed to branch: master
Review: https://review.openstack.org/450148

Changed in sqlalchemy-migrate:
status: New → In Progress
Changed in tacker:
status: In Progress → Fix Committed

Change abandoned by Matt Riedemann (<email address hidden>) on branch: master
Review: https://review.openstack.org/450148

Change abandoned by sudhir agarwal (<email address hidden>) on branch: master
Review: https://review.openstack.org/444582

Changed in blazar:
importance: Undecided → Wishlist
Changed in neutron-quark:
assignee: nobody → sudhir agarwal (sudhir.agarwal)
status: New → In Progress
no longer affects: neutron-quark
Changed in neutron-quark:
assignee: nobody → sudhir agarwal (sudhir.agarwal)
status: New → In Progress

Reviewed: https://review.openstack.org/444582
Committed: https://git.openstack.org/cgit/openstack/rally/commit/?id=0aec3cc166590ea4bc95d4a0dacd7f79dfa84735
Submitter: Jenkins
Branch: master

commit 0aec3cc166590ea4bc95d4a0dacd7f79dfa84735
Author: sudhir_agarwal <email address hidden>
Date: Fri Jun 30 16:43:39 2017 +0530

    Fixed order of arguments in assertEqual

    Some tests used incorrect order of arguments in
    assertEqual(observed, expected). The correct order expected
    by testtool is assertEqual(expected, observed).

    Partial-Bug: #1259292

    Change-Id: I944b72f743a21d0908d17485c25aeb0e7ee70cba

Change abandoned by sudhir agarwal (<email address hidden>) on branch: master
Review: https://review.openstack.org/489232

Changed in blazar:
status: New → Triaged
qinchunhua (qin-chunhua) on 2017-09-12
Changed in networking-l2gw:
assignee: qinchunhua (qin-chunhua) → nobody
assignee: nobody → qinchunhua (qin-chunhua)
status: In Progress → Fix Committed
Changed in networking-l2gw:
status: Fix Committed → Fix Released
Ivan Kolodyazhny (e0ne) on 2017-09-20
Changed in horizon:
status: In Progress → Fix Released
Akihiro Motoki (amotoki) on 2017-10-24
Changed in horizon:
milestone: none → queens-1
Displaying first 40 and last 40 comments. View all 294 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers